Subject: Re: [bug#75894] Request for merging "node-team" branch

From: Christopher Baines <[email-masked]>
Date: Sat, 12 Apr 2025 11:39:46 +0100

Christopher Baines <[email-masked]> writes:

> Andreas Enge <[email-masked]> writes:
>
>> thanks a lot for cleaning up the branches!
>>
>> The node-team branch is currently built on QA:
>>    https://qa.guix.gnu.org/branch/node-team
>>
>> There are not so many affected packages, so maybe you can apply it to
>> master rather quickly.
>
> Looks like the builds are mostly complete, one package that stood out
> was libnode, as that seems to fail to build on 32bit architectures.
>
> I'm not sure if that's more flakyness (since some builds for other
> architectures failed as well) or not:
>
>   https://data.qa.guix.gnu.org/repository/1/branch/node-team/latest-processed-revision/package/libnode/22.14.0?locale=en_US.UTF-8

The test looks to be regarded as flaky by upstream, so I've pushed a
commit to skip the test on 32 bit architectures and rebased the branch.

Obviously there's work ongoing on the python-team branch at the moment,
but hopefully either python-team or node-team are ready to merge shortly
(and given the small number of builds on the node-team branch, I think
it's likely that it might be node-team).